Create Service Credential Binding

Create Service Credential Binding
Create a service credential binding

This endpoint creates a new service credential binding. Service credential bindings can be of type app or key; key is only valid for managed service instances.

If failures occur when creating a service credential binding for a managed service instances, the API might execute orphan mitigation steps accordingly to cases outlined in the OSBAPI specification

Request
URI
POST
https://api.example.local/v3/service_credential_bindings
COPY
Request Body

A request to create a service credential binding

Optional

Show optional properties

{
    "type": "string",
    "relationships": {
        "service_instance": {}
    }
}
{
    "type": "string",
    "name": "string",
    "relationships": {
        "service_instance": {
            "data": {
                "guid": "string"
            }
        },
        "app": {
            "data": {
                "guid": "string"
            }
        }
    },
    "parameters": {},
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
201

Created

{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "type": "string",
    "name": "string",
    "last_operation": {
        "type": "string",
        "state": "string",
        "description": "string",
        "created_at": "string",
        "updated_at": "string"
    },
    "relationships": {
        "app": {
            "data": {
                "guid": "string"
            }
        },
        "service_instance": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "details": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "service_instance": {
            "href": "string",
            "method": "string"
        },
        "parameters": {
            "href": "string",
            "method": "string"
        }
    },
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "included": {
        "spaces": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "name": "string",
                "relationships": {
                    "organization": {
                        "data": {
                            "guid": "string"
                        }
                    },
                    "quota": {
                        "data": {
                            "guid": "string"
                        }
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "organization": {
                        "href": "string",
                        "method": "string"
                    },
                    "features": {
                        "href": "string",
                        "method": "string"
                    },
                    "apply_manifest": {
                        "href": "string",
                        "method": "string"
                    }
                },
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "included": "IncludedResources Object"
            }
        ],
        "organizations": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "name": "string",
                "suspended": false,
                "relationships": {
                    "quota": {
                        "data": {
                            "guid": "string"
                        }
                    }
                },
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "domains": {
                        "href": "string",
                        "method": "string"
                    },
                    "quota": {
                        "href": "string",
                        "method": "string"
                    },
                    "default_domain": {
                        "href": "string",
                        "method": "string"
                    }
                }
            }
        ],
        "domains": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "name": "string",
                "internal": false,
                "router_group": {
                    "guid": "string"
                },
                "supported_protocols": [
                    "string"
                ],
                "relationships": {},
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "organization": {
                        "href": "string",
                        "method": "string"
                    },
                    "route_reservations": {
                        "href": "string",
                        "method": "string"
                    },
                    "shared_organizations": {
                        "href": "string",
                        "method": "string"
                    },
                    "router_group": {
                        "href": "string",
                        "method": "string"
                    }
                }
            }
        ],
        "service_offerings": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "name": "string",
                "description": "string",
                "available": false,
                "tags": [
                    "string"
                ],
                "requires": [
                    "string"
                ],
                "shareable": false,
                "documentation_url": "string",
                "broker_catalog": {
                    "id": "string",
                    "metadata": {
                        "displayName": "string",
                        "documentationUrl": "string",
                        "imageUrl": "string",
                        "longDescription": "string",
                        "providerDisplayName": "string",
                        "supportUrl": "string"
                    },
                    "features": {
                        "plan_updateable": false,
                        "bindable": false,
                        "instances_retrievable": false,
                        "bindings_retrievable": false,
                        "allow_context_updates": false
                    }
                },
                "relationships": {
                    "service_broker": {
                        "data": {
                            "guid": "string"
                        }
                    }
                },
                "service_broker_guid": "string",
                "service_broker_name": "string",
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "service_plans": {
                        "href": "string",
                        "method": "string"
                    },
                    "service_broker": {
                        "href": "string",
                        "method": "string"
                    }
                }
            }
        ],
        "service_instances": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "type": "string",
                "name": "string",
                "tags": [
                    "string"
                ],
                "syslog_drain_url": "string",
                "route_service_url": "string",
                "dashboard_url": "string",
                "maintenance_info": {
                    "version": "string",
                    "description": "string"
                },
                "upgrade_available": false,
                "last_operation": {
                    "type": "string",
                    "state": "string",
                    "description": "string",
                    "created_at": "string",
                    "updated_at": "string"
                },
                "relationships": {
                    "space": {
                        "data": {
                            "guid": "string"
                        }
                    },
                    "service_plan": {
                        "data": {
                            "guid": "string"
                        }
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "space": {
                        "href": "string",
                        "method": "string"
                    },
                    "service_plan": {
                        "href": "string",
                        "method": "string"
                    },
                    "parameters": {
                        "href": "string",
                        "method": "string"
                    },
                    "service_credential_bindings": {
                        "href": "string",
                        "method": "string"
                    },
                    "service_route_bindings": {
                        "href": "string",
                        "method": "string"
                    },
                    "shared_spaces": {
                        "href": "string",
                        "method": "string"
                    }
                },
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                }
            }
        ],
        "apps": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "name": "string",
                "state": "string",
                "lifecycle": {
                    "type": "string",
                    "data": {
                        "buildpacks": [
                            "string"
                        ],
                        "stack": "string",
                        "credentials": {
                            "credentials": {
                                "username": "string",
                                "password": "string",
                                "token": "string"
                            }
                        }
                    }
                },
                "relationships": {},
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "space": {
                        "href": "string",
                        "method": "string"
                    },
                    "processes": {
                        "href": "string",
                        "method": "string"
                    },
                    "packages": {
                        "href": "string",
                        "method": "string"
                    },
                    "environment_variables": {
                        "href": "string",
                        "method": "string"
                    },
                    "current_droplet": {
                        "href": "string",
                        "method": "string"
                    },
                    "droplets": {
                        "href": "string",
                        "method": "string"
                    }
                },
                "included": "IncludedResources Object"
            }
        ],
        "routes": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "protocol": "string",
                "host": "string",
                "path": "string",
                "port": 0,
                "url": "string",
                "relationships": {},
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    },
                    "space": {
                        "href": "string",
                        "method": "string"
                    },
                    "domain": {
                        "href": "string",
                        "method": "string"
                    },
                    "destinations": {
                        "href": "string",
                        "method": "string"
                    }
                },
                "included": "IncludedResources Object"
            }
        ],
        "users": [
            {
                "guid": "string",
                "created_at": "string",
                "updated_at": "string",
                "username": "string",
                "presentation_name": "string",
                "origin": "string",
                "metadata": {
                    "labels": {
                        "labels": "string"
                    },
                    "annotations": {
                        "annotations": "string"
                    }
                },
                "links": {
                    "self": {
                        "href": "string",
                        "method": "string"
                    }
                }
            }
        ]
    }
}

202

Accepted

Operation doesn't return any data structure

Response Headers

string
Location

URL of the job that is creating the service credential binding


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"type":"string","relationships":"object"}' https://{api_host}/v3/service_credential_bindings